import webpack from "./api/webpack";
import common from "./api/common";
import utils from "./api/utils/index";
import plugins from "./api/plugin";
import settings from "./api/ui/settings/settings";
import css from "./api/css";
import patcher from "./api/patcher";
import findByRitual from "./api/ritual";

Object.assign(webpack, {
	findByRitual
});

const demon: Record<string, any> = {
	modules: {
		webpack,
		common
	},
	utils,
	plugins,
	internal: {
		nest: common.nests.make()
	},
	css,
	patcher,
	stolas: {
		monologue: () => {
			const username = webpack
				.findByProps("getCurrentUser")
				.getCurrentUser().username;
			return _.sample([
				`${username}, you know that when I'm lonely, I become hungry. And when I become hungry, I want to choke on that red **** of yours... **** your ***** and lick all of your *****, before taking out your *****, and **** with more teeth until you're screaming ********** like a FUCKING baby--!`,
				`Ohhh, ${username}! I'm so excited! I cannot wait to feel your slimy c**k inside of my ****. To ***** the— ...**** use while you and I and **** and jelly sandwiches all night...!`
			]);
		}
	},
	settings
};

function summon(mod: string) {
	const mods = mod.split("/");
	let res = demon;
	mods.forEach((m) => {
		if (m in res) {
			res = res[m];
		} else {
			throw new Error("Module does not exist!");
		}
	});
	return res;
}

window.demon = {
	summon
};

plugins.init();
settings.init();
/*//#if _ANALYTICS
import analytics from "./api/analytics"
analytics.init()
//#endif*/
